Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.builder
[Groovy] Class AstBuilderTransformation

    java.lang.Object
      org.codehaus.groovy.ast.builder.AstBuilderTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation (phase = CompilePhase.SEMANTIC_ANALYSIS)
    class AstBuilderTransformation
    extends Object

Transformation to capture ASTBuilder from code statements. The AstBuilder "from code" approach is used with a single Closure parameter. This transformation converts the ClosureExpression back into source code and rewrites the AST so that the "from string" builder is invoked on the source. In order for this to work, the closure source must be given a goto label. It is the "from string" approach's responsibilty to remove the BlockStatement created by the label.

Authors:
  Hamlet D'Arcy

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit sourceUnit)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### visit

    void visit(ASTNode[] nodes, SourceUnit sourceUnit)

Copyright © 2003-2010 The Codehaus. All rights reserved.